apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: $PROJECT-ingress
  namespace: $NAMESPACE
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  tls:
    - hosts:
        - demoportal.click
      secretName: demoportal-tls
    - hosts:
        - "*.demoportal.click"
      secretName: demoportal-tls
  rules:
    - host: demoportal.click
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: $PROJECT-service
                port:
                  number: 3102
    - host: "*.demoportal.click"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: $PROJECT-service
                port:
                  number: 3102
